Page MenuHomePhabricator

Page views and Country name table columns overlapping in the Page Views By Country metric on Dashboard
Closed, ResolvedPublic3 Story Points

Description

On the dashboard if you select Wikipedia - Spanish in 'Type and choose a wiki..' and observe the Page Views By Country metric you should see the columns of views and country names are overlapping in the last row. We should fix this :-]
Please refer the red circled region in the image attached.

Details

Related Gerrit Patches:

Event Timeline

sahil505 created this task.Mar 30 2018, 5:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2018, 5:38 PM
sahil505 claimed this task.Mar 30 2018, 7:07 PM

Change 423172 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Solved overlapping issue in the Page Views By Country metric on Dashboard

https://gerrit.wikimedia.org/r/423172

Milimetric triaged this task as High priority.Apr 2 2018, 3:25 PM
Milimetric moved this task from Incoming to Wikistats Beta on the Analytics board.
mforns added a comment.Apr 3 2018, 2:24 PM

I CR'd the code and looks good!

I think we should test on different browsers before merging, though, I think checking the last versions is enough:

  • Chrome on Windows
  • Chrome on OSX
  • Safari
  • Internet Explorer
  • Edge

@mforns It works fine on 1. Chrome on OSX & 2. Safari for now. I'll test the other 3 as soon as I can. If someone else can do it in the meantime it would be great. Cheers!

@mforns : Just checked on other 3 browsers, it works perfectly. We should be good to go. Cheers ;-)

Change 423172 merged by Fdans:
[analytics/wikistats2@master] Solved overlapping issue in the Page Views By Country metric on Dashboard

https://gerrit.wikimedia.org/r/423172

sahil505 moved this task from Next Up to Done on the Analytics-Kanban board.
Nuria moved this task from Done to In Code Review on the Analytics-Kanban board.Jun 12 2018, 3:02 PM
sahil505 set the point value for this task to 3.Jun 12 2018, 5:13 PM

@Nuria: This task has already been merged and deployed so I think we can move it to the done column on the Kanban board :-]

@sahil505 Hey, it was my fault, I thought it wasn't deployed yet.
Will move to done then.

mforns moved this task from In Code Review to Done on the Analytics-Kanban board.Jun 13 2018, 2:23 PM
Nuria closed this task as Resolved.Jun 18 2018, 5:57 PM